Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.Unit

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.Unit

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.Unit

extends java.lang.Enum
implements QtEnumerator

This enum type is used to specify the measurement unit for page and paper sizes. Note the difference between Point and `DevicePixel` . The Point unit is defined to be 1/72th of an inch, while the `DevicePixel` unit is resolution dependant and is based on the actual pixels, or dots, on the printer.

See Also:
  Serialized Form

Field Summary
`static QPrinter.Unit` | `Cicero`
`static QPrinter.Unit` | `DevicePixel`
`static QPrinter.Unit` | `Didot`
`static QPrinter.Unit` | `Inch`
`static QPrinter.Unit` | `Millimeter`
`static QPrinter.Unit` | `Pica`
`static QPrinter.Unit` | `Point`

Method Summary
`static QPrinter.Unit` | `resolve(int value)` Returns the QPrinter$Unit constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.Unit` | `valueOf(java.lang.String name)`
`static QPrinter.Unit[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Millimeter

    public static final QPrinter.Unit Millimeter

### Point

    public static final QPrinter.Unit Point

### Inch

    public static final QPrinter.Unit Inch

### Pica

    public static final QPrinter.Unit Pica

### Didot

    public static final QPrinter.Unit Didot

### Cicero

    public static final QPrinter.Unit Cicero

### DevicePixel

    public static final QPrinter.Unit DevicePixel

Method Detail

### values

    public static QPrinter.Unit[] values()

### valueOf

    public static QPrinter.Unit valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.Unit resolve(int value)

  Returns the QPrinter$Unit constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD